
LCIO = /afs/cern.ch/eng/clic/software/x86_64-slc5-gcc41/ILCSOFT/dev/v01-11-pre04-complete/lcio/v01-51-02
STDHEP_DIR = /afs/cern.ch/eng/clic/software/stdhep/stdhep-5-05-05
CLHEP = /afs/cern.ch/sw/lcg/external/clhep/2.0.4.5/x86_64-slc5-gcc41-opt

INC = 	-I"./include" \
		-I"${LCIO}/include" \
		-I"$(STDHEP_DIR)/src/inc"\
		-I"${CLHEP}/include" 

LIBS =	-L${LCIO}/lib -llcio -lsio\
		$(STDHEP_DIR)/lib/libstdhepC.a $(STDHEP_DIR)/lib/libFmcfio.a  $(STDHEP_DIR)/lib/libstdhep.a \
		${CLHEP}/lib/libCLHEP.so

CXXFLAGS =	-g -Wall -fmessage-length=0 #-O2
LDFLAGS = -fPIC

OBJS =		${shell find src/ | grep .cpp | grep -v .svn | sed 's/.cpp/.o/g' | xargs -n 1 basename}

TARGET =	stdhepCut



all:	$(TARGET)

$(TARGET):	$(OBJS) Makefile
	$(CXX) $(LDFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

%.o: src/%.cpp include/%.h Makefile
	$(CXX) $(CXXFLAGS) $(INC) -c -o $@ $<

%.o: src/cuts/%.cpp include/cuts/%.h Makefile
	$(CXX) $(CXXFLAGS) $(INC) -c -o $@ $<

# special rule for main without header
main.o: src/main.cpp Makefile
	$(CXX) $(CXXFLAGS) $(INC) -c -o $@ $<


clean:
	rm -f $(OBJS)

distclean: clean
	rm -f $(TARGET)
